Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.locale
Class Language

    java.lang.Object
      oracle.ifs.utils.locale.Language

    public class Language

extends java.lang.Object

The Language class contains the Locale code name, language, country, and label name.

(Unpublished)

Field Summary
`protected java.lang.String` | `m_CountryCode` The abbreviated country code, for example: "US"
`protected java.lang.String` | `m_IsoLocaleCode` The ISO Locale code name.
`protected java.lang.String` | `m_JavaLocaleCode` The Java Locale code name.
`protected java.lang.String` | `m_Language` The Oracle InterMedia language name.
`protected java.lang.String` | `m_LanguageCode` The abbreviated language code, for example: "en"

Constructor Summary
`protected` | `Language(java.lang.String language, java.lang.String languageCode, java.lang.String countryCode)` Constructor

Method Summary
`java.lang.String` | `getCountryCode()` Returns the abbreviated country code, for example: "GB"
`java.lang.String` | `getIsoLocaleCode()` Returns the ISO locale code, for example: "en-US"
`java.lang.String` | `getJavaLocaleCode()` Returns the java locale code, for example: "en_US" This should be used for any iFS beans API methods.
`java.lang.String` | `getLanguage()` Returns the Oracle InterMedia language name.
`java.lang.String` | `getLanguageCode()` Returns the abbreviated language code, for example: "en".
`java.lang.String` | `getLanguageLabel(LibrarySession sess)` Returns the localized display name for the language, for example: "English".
`java.lang.String` | `getLanguageLabel(Localizer localizer)` Returns the localized label for the language, for example: "Deutsch" if German locale setting.
`java.lang.String` | `getLocaleCode()` Deprecated.
`java.lang.String` | `getLocaleLabel(LibrarySession sess)` Returns the localized display name for the locale, for example: "English (en-GB)".
`java.lang.String` | `getLocaleLabel(Localizer localizer)` Returns the localized label for the language, for example: "Deutsch (de-DE)" if German locale setting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_IsoLocaleCode

    protected java.lang.String m_IsoLocaleCode

  Description copied from class: `Language`
  The ISO Locale code name. ISO uses a dash, such as en-US.

  (Unpublished)

### m_JavaLocaleCode

    protected java.lang.String m_JavaLocaleCode

  Description copied from class: `Language`
  The Java Locale code name. Java uses an underscore, such as en_US.

  (Unpublished)

### m_Language

    protected java.lang.String m_Language

  Description copied from class: `Language`
  The Oracle InterMedia language name.

  (Unpublished)

### m_LanguageCode

    protected java.lang.String m_LanguageCode

  Description copied from class: `Language`
  The abbreviated language code, for example: "en"

  (Unpublished)

### m_CountryCode

    protected java.lang.String m_CountryCode

  Description copied from class: `Language`
  The abbreviated country code, for example: "US"

  (Unpublished)

Constructor Detail

### Language

    protected Language(java.lang.String language,
                       java.lang.String languageCode,
                       java.lang.String countryCode)

  Constructor

  (Unpublished)

Method Detail

### getLanguage

    public java.lang.String getLanguage()

  Description copied from class: `Language`
  Returns the Oracle InterMedia language name.

  Returns:
    the Oracle language name in English.
  (Published)

### getLanguageLabel

    public java.lang.String getLanguageLabel(LibrarySession sess)
                                      throws IfsException

  Description copied from class: `Language`
  Returns the localized display name for the language, for example: "English".

  Parameters:
    `sess` - current LibrarySession
  Returns:
    the translated display label.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLanguageLabel

    public java.lang.String getLanguageLabel(Localizer localizer)
                                      throws IfsException

  Description copied from class: `Language`
  Returns the localized label for the language, for example: "Deutsch" if German locale setting.

  Parameters:
    `localizer` - to access the proper ResourceBundle
  Returns:
    the translated display label.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLocaleLabel

    public java.lang.String getLocaleLabel(LibrarySession sess)
                                    throws IfsException

  Description copied from class: `Language`
  Returns the localized display name for the locale, for example: "English (en-GB)".

  Parameters:
    `sess` - current LibrarySession
  Returns:
    the translated display label.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLocaleLabel

    public java.lang.String getLocaleLabel(Localizer localizer)
                                    throws IfsException

  Description copied from class: `Language`
  Returns the localized label for the language, for example: "Deutsch (de-DE)" if German locale setting.

  Parameters:
    `localizer` - to access the proper ResourceBundle
  Returns:
    the translated display label.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLanguageCode

    public java.lang.String getLanguageCode()

  Description copied from class: `Language`
  Returns the abbreviated language code, for example: "en".

  Returns:
    the language code
  (Published)

### getCountryCode

    public java.lang.String getCountryCode()

  Description copied from class: `Language`
  Returns the abbreviated country code, for example: "GB"

  Returns:
    the country code
  (Published)

### getLocaleCode

    public java.lang.String getLocaleCode()

  Deprecated.

  Description copied from class: `Language`
  Returns the locale code, for example: "en-US"

  Returns:
    the locale code
  (Unpublished)

### getIsoLocaleCode

    public java.lang.String getIsoLocaleCode()

  Description copied from class: `Language`
  Returns the ISO locale code, for example: "en-US"

  Returns:
    the ISO locale code
  (Published)

### getJavaLocaleCode

    public java.lang.String getJavaLocaleCode()

  Description copied from class: `Language`
  Returns the java locale code, for example: "en_US" This should be used for any iFS beans API methods.

  Returns:
    the java locale code
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD